## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# MapValueDeleteFunctor Template Struct Reference

Functor to delete value objects in maps, used in STL iteration algorithms. More...

`#include <STLHelper.hpp>`

Inheritance diagram for MapValueDeleteFunctor

Collaboration diagram for MapValueDeleteFunctor:

List of all members.

## Public Types

- typedef std::unary_function<
  const typename T::value_type&,
  void> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type

## Public Methods

- result_type operator() (argument_type thePair) const
    Delete the value object in a map value pair. More...

## Detailed Description

### template<class T> template struct MapValueDeleteFunctor

Functor to delete value objects in maps, used in STL iteration algorithms.

## Member Typedef Documentation

template<classT>
typedef std::unary_function<const typename T::value_type&, void> MapValueDeleteFunctor<T>::BaseClassType

template<classT>
typedef BaseClassType::argument_type MapValueDeleteFunctor<T>::argument_type

template<classT>
typedef BaseClassType::result_type MapValueDeleteFunctor<T>::result_type

## Member Function Documentation

template<classT>
result_type MapValueDeleteFunctor<T>::operator() ( | argument_type thePair ) const`[]`

Delete the value object in a map value pair.

The value of the pair must be of pointer type.

Parameters:

  thePair | key-value pair

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.